from fermiinstallclass import FermiInstallClass
import rhpl
from constants import *
from flags import flags
import os
import iutil
import types
import rpmUtils.arch

import logging
log = logging.getLogger("anaconda")


class InstallClass(FermiInstallClass):
    # name has underscore used for mnemonics, strip if you dont need it
    id = "fermiverygeneric"
    pixmap = "workstation.png"
    name = ("FermiVeryGeneric Workgroup Install")
    hidden = 1
	                 
    sortPriority = 900

    def setInstallData(self, anaconda):
	FermiInstallClass.setInstallData(self, anaconda)

    def setGroupSelection(self, anaconda):
	FermiInstallClass.setGroupSelection(self, anaconda);
	anaconda.backend.selectGroup("core")
        anaconda.backend.selectGroup("fermiverygeneric")
        anaconda.backend.deselectGroup("admin-tools")
        anaconda.backend.deselectGroup("base-x")
        anaconda.backend.deselectGroup("clamav")
        anaconda.backend.deselectGroup("development-libs")
        anaconda.backend.deselectGroup("development-tools")
        anaconda.backend.deselectGroup("dialup")
        anaconda.backend.deselectGroup("editors")
        anaconda.backend.deselectGroup("games")
        anaconda.backend.deselectGroup("gnome-desktop")
        anaconda.backend.deselectGroup("graphical-internet")
        anaconda.backend.deselectGroup("graphics")
        anaconda.backend.deselectGroup("java")
        anaconda.backend.deselectGroup("kde-desktop")
        anaconda.backend.deselectGroup("kernel-development")
        anaconda.backend.deselectGroup("local-printer")
        anaconda.backend.deselectGroup("multimedia")
        anaconda.backend.deselectGroup("office")
        anaconda.backend.deselectGroup("openafs-client")
        anaconda.backend.deselectGroup("openssh-server")
        anaconda.backend.deselectGroup("printing")
        anaconda.backend.deselectGroup("sound-and-video")
        anaconda.backend.deselectGroup("text-internet")
        anaconda.backend.deselectGroup("upsupdbootstrap")
        anaconda.backend.deselectGroup("workstation")
        anaconda.backend.deselectPackage("openssh-server")
        anaconda.backend.deselectPackage("nmap")
        anaconda.backend.deselectPackage("pcsc-lite")
        anaconda.backend.deselectPackage("pcsc-lite-libs")
        anaconda.backend.deselectPackage("ccid")
        anaconda.backend.deselectPackage("coolkey")
        anaconda.backend.deselectPackage("ifd-egate")

    def setSteps(self, dispatch):
	FermiInstallClass.setSteps(self, dispatch);
#	dispatch.skipStep("partition")
  	dispatch.skipStep("tasksel")
  	dispatch.skipStep("group-selection", skip = 0)
	dispatch.skipStep("confirminstall", skip = 1)

    def __init__(self, expert):
	FermiInstallClass.__init__(self, expert)
        self.repopaths["workgroup"] = "%s/workgroups/FermiVeryGeneric" %(productPath,)
